<template>
  <q-item
    v-ripple
    clickable
    :to="item.to"
    class="text-white"
  >
    <q-item-section avatar>
      <q-icon
        :name="item.icon"
        size="md"
      />
    </q-item-section>

    <q-item-section>
      <q-item-label
        class="text-h6"
        v-text="item.label"
      />
    </q-item-section>
  </q-item>
</template>

<script>
export default {
  name: 'MenuItem',
  props: {
    item: {
      type: Object,
      default: () => ({})
    }
  }
}
</script>
